Subject: [Geopriv] IETF74 Consensus Calls

From: Richard Barnes <[email-masked]>
Date: Sun, 29 Mar 2009 22:30:55 -0400

This email is a call to confirm consensus on three questions raised at 
the GEOPRIV meeting at IETF 74, and to call for consensus on one 
additional question.  Please reply no later than Thursday, 2 April 2009.

Confirmations:

1. Should GEOPRIV add a milestone for updates and clarifications to RFC 
3693, based on draft-barnes-geopriv-lo-sec?

2. Should GEOPRIV add a milestone for a URI that describes geodetic 
location information, based on draft-mayrhofer-geopriv-geo-uri.

3.a. Should GEOPRIV add a milestone for backward-compatible fixes to the 
RFC 3825 geodetic location format?

3.b Should GEOPRIV add a milestone for a new, non-backward-compatible 
DHCP format for geodetic location information?

New Question:

4. At IETF 71, there was GEOPRIV consensus to seek a milestone to 
address the problems discussed in 
draft-winterbottom-geopriv-held-identity-extensions.  Should GEOPRIV 
base that milestone on that document?

---

From: "Winterbottom, James" <[email-masked]>
Date: Sun, 29 Mar 2009 22:02:27 -0500

My Responses inline.

Subject: [Geopriv] IETF74 Consensus Calls

Confirmations:

[AJW] YES

[AJW] YES

[AJW] YES

[AJW] NO

New Question:

[AJW] YES

_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Mon, 30 Mar 2009 15:03:54 +0300

Richard, 

Maybe you want to indicate what feedback has been indicated during the
meeting. Then, the guys attending the meeting would not have to state
their preference again. 

Ciao
Hannes 

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of ext Richard Barnes
>Sent: 30 March, 2009 05:31
>To: 'GEOPRIV'
>This email is a call to confirm consensus on three questions 
>raised at the GEOPRIV meeting at IETF 74, and to call for 
>consensus on one additional question.  Please reply no later 
>than Thursday, 2 April 2009.
>
>
>Confirmations:
>
>1. Should GEOPRIV add a milestone for updates and 
>clarifications to RFC 3693, based on draft-barnes-geopriv-lo-sec?
>
>2. Should GEOPRIV add a milestone for a URI that describes 
>geodetic location information, based on 
>draft-mayrhofer-geopriv-geo-uri.
>
>3.a. Should GEOPRIV add a milestone for backward-compatible 
>fixes to the RFC 3825 geodetic location format?
>
>3.b Should GEOPRIV add a milestone for a new, 
>non-backward-compatible DHCP format for geodetic location information?
>
>
>New Question:
>

---

From: <[email-masked]>
Date: Mon, 30 Mar 2009 07:57:20 -0400

Richard,

My hums inline...

Kind regards,

Guy

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Richard Barnes
Envoyé : 29 mars 2009 22:31
À : 'GEOPRIV'
Objet : [Geopriv] IETF74 Consensus Calls

Confirmations:

[GC] Hum for

[GC] Hum for

New Question:

[GC] Hum for

---

From: "Brian Rosen" <[email-masked]>
Date: Mon, 30 Mar 2009 09:34:22 -0400

I don't understand the origin of 3b.  The room clearly signaled that they
wished to fix what they perceived to be broken with 3825, but they seemed to
want to use the URI to a PIDF as the solution to anything more complex than
could be expressed with (fixed) 3825 and 4776.

I would say no to 3b.

Brian

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Richard Barnes
Sent: Sunday, March 29, 2009 10:31 PM
To: 'GEOPRIV'
Subject: [Geopriv] IETF74 Consensus Calls

Confirmations:

New Question:

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 30 Mar 2009 08:39:09 -0600

On Mar 29, 2009, at 8:30 PM, Richard Barnes wrote:

> address the problems discussed in draft-winterbottom-geopriv-held- 
> identity-extensions.  Should GEOPRIV base that milestone on that  
> document?

I'm curios about how we are going to meet our security requirements  
for these types of extensions in general before deciding how to  
proceed. I'd like to see discussion in the WG about that before I feel  
real comfortable about this direction.

---

From: Richard Barnes <[email-masked]>
Date: Mon, 30 Mar 2009 11:05:15 -0400

Consensus in the room at the meeting was as follows:
1. Yes
2. Yes
3a. Yes
3b. No

---

From: Richard Barnes <[email-masked]>
Date: Mon, 30 Mar 2009 11:06:26 -0400

Consensus in the room was for 3a and against 3b (see my reply to 
Hannes).  This thread is to confirm that consensus.
--Richard

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 30 Mar 2009 08:06:33 -0700

Comments below. 

> 3693, based on draft-barnes-geopriv-lo-sec?

[BA] Yes.
 
> location information, based on draft-mayrhofer-geopriv-geo-uri.

[BA] Yes.

> RFC 3825 geodetic location format?

[BA] Yes

> DHCP format for geodetic location information?

[BA] No 

> base that milestone on that document?

[BA] Yes.

---

From: <[email-masked]>
Date: Mon, 30 Mar 2009 18:33:34 +0200

1. Yes
2. Yes
3a. Yes
3b. No

- gabor

  >From: [email-masked] [mailto:[email-masked]] On
  >Behalf Of ext Richard Barnes
  >Sent: Monday, March 30, 2009 8:06 AM
  >To: Brian Rosen; 'GEOPRIV'
  >Subject: Re: [Geopriv] IETF74 Consensus Calls
  >

---

From: "Winterbottom, James" <[email-masked]>
Date: Mon, 30 Mar 2009 13:45:25 -0500

Cullen,

Haven't the security requirements around this particular document been done to death?
There were very specific concerns raised at the Dallas interim, and my recollection coming out of that meeting was that a plan to address those was determined and that once that plan was executed that the item would proceed as a WG item. I also believe that the concerns raised in Dallas have been thoroughly addressed.

There is a clear need for this work. Several trials have already been conducted with older versions of this document and continuing to delay this is simply going to lead to interoperability issues in the field. If you have further security concerns the time to raise them is prior to the document leaving the WG, it seems very late in the game to suddenly shift the goal posts and gate the document and issue it addresses from being part of the new charter.

Cheers
James

---

From: "Thomson, Martin" <[email-masked]>
Date: Mon, 30 Mar 2009 17:54:41 -0500

1 yes
2 yes
3 a yes, b no
4 yes

> Behalf Of Richard Barnes
> Sent: Sunday, 29 March 2009 7:31 PM
> To: 'GEOPRIV'

---

From: "James M. Polk" <[email-masked]>
Date: Mon, 30 Mar 2009 18:27:36 -0500

wow...

given that others that were in the room are voting again, maybe I should too...

1. I agree to loc-sec becoming a WG item, but not as a clarifier of 
RFC3693, given that RFC is a requirements doc, but as an Architecture doc.
2. yes
3a.  as an official update, I'll go with it
3b. yes (also)

I'm not thrilled that how 3b is described below doesn't accurately 
represent what the shapes ID is, that it represents a way to do a 
point, a circle and a polygon all in a uniform way (i.e., adopting 
the TLV format that RFC 4776 (civic) is formatted in).

As stated below, this is merely a non-backwards compatible way of 
doing just a point.

Of course no one would vote for that (said that way)...

James

---

From: <[email-masked]>
Date: Tue, 31 Mar 2009 09:52:16 +0200

1. yes
2. yes
3 a. yes b. no

4. yes. We already use this kind of mechanism for EC in our SIP service.
We strongly support the work on a standard which enables a SIP-proxy to
acquire the location based on the IP-address.    

> [mailto:[email-masked]] On Behalf Of Richard Barnes
> Sent: Monday, March 30, 2009 4:31 AM
> To: 'GEOPRIV'
> raised at 
> clarifications to RFC

---

From: "Thomson, Martin" <[email-masked]>
Date: Tue, 31 Mar 2009 21:25:50 -0500

Hi Cullen,

As far as I am aware, all security considerations relating to this document have been addressed. 

If you know of other concerns, don't be shy.

On a matter of process: can we not - as a working group - accept work before that work is finished?

--Martin

> Behalf Of Cullen Jennings
> Sent: Tuesday, 31 March 2009 1:39 AM
> To: Richard Barnes
> Cc: 'GEOPRIV'

---

From: "Glen Zorn" <[email-masked]>
Date: Wed, 1 Apr 2009 10:32:05 +0700

> before that work is finished?

Can & should.  The recent practice of accepting drafts as WG items for the
sole purpose of issuing WGLC is an abominable practice, IMHO.

> --Martin

...